Bug 256989 - [NEW PORT] comms/py-fritzconnection home router control tool
Summary: [NEW PORT] comms/py-fritzconnection home router control tool
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Guangyuan Yang
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-07-05 11:58 UTC by Michael Büker
Modified: 2021-08-06 14:18 UTC (History)
1 user (show)

See Also:


Attachments
ports tree patch to add comms/py-fritzconnection (1.41 KB, patch)
2021-07-05 11:58 UTC, Michael Büker
no flags Details | Diff
new version 1.6.0 (1.41 KB, patch)
2021-08-02 18:46 UTC, Michael Büker
no flags Details | Diff
github source, test-target included (1.56 KB, patch)
2021-08-06 13:52 UTC, Michael Büker
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Büker 2021-07-05 11:58:32 UTC
Created attachment 226235 [details]
ports tree patch to add comms/py-fritzconnection

A Python tool to communicate with the AVM FritzBox family of home routers popular in Germany and other European countries. It uses the TR-064 protocol over UPnP.
Comment 1 Michael Büker 2021-08-02 18:46:13 UTC
Created attachment 226885 [details]
new version 1.6.0
Comment 2 Guangyuan Yang freebsd_committer 2021-08-02 20:04:46 UTC
(In reply to Michael Büker from comment #0)

Just to make sure that you have tested the functionality of this port? Can help to commit the port but don't have the hardware for testing.
Comment 3 Michael Büker 2021-08-03 06:33:47 UTC
Thanks! Yes, I've been using it for a few months with appropriate hardware before submitting the port. I haven't checked every bit of functionality, but it basically works as advertised on FreeBSD.
Comment 4 Guangyuan Yang freebsd_committer 2021-08-03 06:45:19 UTC
(In reply to Michael Büker from comment #3)

Another thing: It is recommended to add TEST_DEPENDS and a do-test: target if upstream has unit test suites. Can you confirm if tests pass on FreeBSD and could the Makefile be updated if all passed?
Comment 5 Michael Büker 2021-08-05 21:21:29 UTC
I think I need some more guidance concerning the tests :)

Tests exist, and they complete successfully. BUT: They are only included with the Github releases, but not in the PyPi packages.

What should I do?

1) switch the Makefile to fetch from Github instead of PyPi and run tests?

2) stay with PyPi and ignore the tests?
Comment 6 Guangyuan Yang freebsd_committer 2021-08-06 10:08:21 UTC
(In reply to Michael Büker from comment #5)

I think Option 1 is better, i.e. switch to Github releases and create the do-test target.
Comment 7 Michael Büker 2021-08-06 13:52:51 UTC
Created attachment 226987 [details]
github source, test-target included

Okay, done and tested to work as expected :)
Comment 8 commit-hook freebsd_committer 2021-08-06 14:18:08 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=ebec65d5759b72f45c99d6125d59e06ae774b70c

commit ebec65d5759b72f45c99d6125d59e06ae774b70c
Author:     Michael Büker <freebsd@michael-bueker.de>
AuthorDate: 2021-08-06 14:16:44 +0000
Commit:     Guangyuan Yang <ygy@FreeBSD.org>
CommitDate: 2021-08-06 14:16:44 +0000

    comms/py-fritzconnection: New port

    Python tool to communicate with AVM FritzBox routers.

    PR:             256989

 comms/Makefile                           |  1 +
 comms/py-fritzconnection/Makefile (new)  | 25 +++++++++++++++++++++++++
 comms/py-fritzconnection/distinfo (new)  |  3 +++
 comms/py-fritzconnection/pkg-descr (new) |  4 ++++
 4 files changed, 33 insertions(+)
Comment 9 Guangyuan Yang freebsd_committer 2021-08-06 14:18:45 UTC
Committed, thank you for the great work!